package fr.unistra.sil.erp.back.controller.api;

import com.fasterxml.jackson.annotation.JsonProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Positive;

/**
 *
 * @author antoine.beauvais
 */
public class PutStockDTO {
    /**
     * This product's category identifier.
     */
    @NotNull
    @Positive
    private final int itemId;

    /**
     * This product's category identifier.
     */
    @NotNull
    private final int quantity;

    /**
     *
     * @param itemId
     * @param quantity
     */
    public PutStockDTO(@JsonProperty("item_id") int itemId, @JsonProperty("quantity") int quantity) {
        this.itemId = itemId;
        this.quantity = quantity;
    }

    /**
     *
     * @return
     */
    public int getItemId() {
        return itemId;
    }

    /**
     *
     * @return
     */
    public int getQuantity() {
        return quantity;
    }
}
