/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.controller.web;

import static fr.unistra.sil.erp.back.WebMvcConfig.MAPPING_LOGIN;
import static fr.unistra.sil.erp.back.WebMvcConfig.WEB_MAPPING_ITEMS;
import fr.unistra.sil.erp.back.model.LoginForm;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * Controller for the Web login interface.
 * 
 * This controller handles the connection process of the user 
 * upon his arrival.
 * 
 * @author BEAUVAIS ANTOINE
 */
@Controller
public class LoginController {
    
    /**
     * Logic for serving the login page.
     * 
     * This method defines how to serve the login page.
     *
     * @param model Spring Model.
     * @return the name of the template to use.
     */
    @GetMapping(MAPPING_LOGIN)
    public String login(Model model)
    {
        model.addAttribute("login", new LoginForm());
        return "login";
    }
    
    /**
     * Login for handling the login process. 
     * 
     * This method actually processes the user-submitted form for login.
     * 
     * TODO: Actual implementation.
     * 
     * @param loginForm the login object.
     * @throws WebMovedPermanentlyException Post-login redirection.
     */
    @PostMapping(MAPPING_LOGIN)
    public void handleLogin(@ModelAttribute("login") LoginForm loginForm)
            throws WebMovedPermanentlyException
    {
        throw new WebMovedPermanentlyException(WEB_MAPPING_ITEMS);
    }
}
